=== libgxwmm/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def configure(conf):
    conf.sub_config('gxwmm');

def build(bld):
    bld.add_subdirs('gxwmm')
    bld.add_group()
    prog = bld(features = 'cxx cprogram',
               source = 'gxw_demo.cc',
               target = 'gxw_demo',
               uselib = 'GTKMM',
               includes = ['.','../libgxw'],
               install_path = None,
               )
    if bld.env["GX_LIB_SHARED"]:
        prog.libpath = [
            bld.path.find_dir("../libgxw/gxw").bldpath(bld.env),
            bld.path.find_dir("../libgxwmm/gxwmm").bldpath(bld.env)]
        prog.lib = ["gxwmm","gxw"]
    else:
        prog.uselib_local = ['gxwmm','gxw']
