=== demos/fluid/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Grygoriy Fuchedzhy 2009

top = '.'
out = 'out'

def set_options(opt):
	opt.tool_options('compiler_cxx')

def configure(conf):
	conf.check_tool('compiler_cxx')
	conf.check_tool('fluid')

def build(bld):
	bld(
		features = 'cxx cprogram',
		target   = 'sample',
		source   = 'main.cpp PopupDialog.fl UserInterface.fl',
		includes = '.',
		install_path = '${PREFIX}/bin/',
		uselib = 'FLTK')
