=== debian/changelog ===
guitarix (0.28.2-4) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.5
    - Drop libboost-foo1.53-dev alternatives from build-depends to
      fix boost transition (Closes: #731020)

 -- Roland Stigge <stigge@antcom.de>  Sun, 01 Dec 2013 11:02:29 +0100

guitarix (0.28.2-3) unstable; urgency=low

  * debian/control: vorbistools -> vorbis-tools (Closes: #719170)

 -- Roland Stigge <stigge@antcom.de>  Fri, 09 Aug 2013 22:02:47 +0200

guitarix (0.28.2-2) unstable; urgency=low

  * Added upstream patch to fix build on Hurd/freebsd

 -- Roland Stigge <stigge@antcom.de>  Wed, 07 Aug 2013 21:46:58 +0200

guitarix (0.28.2-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 05 Aug 2013 22:41:16 +0200

guitarix (0.28.1-2) unstable; urgency=low

  * Added upstream patch to fix build problem on hurd

 -- Roland Stigge <stigge@antcom.de>  Fri, 02 Aug 2013 21:11:49 +0200

guitarix (0.28.1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 28 Jul 2013 19:43:10 +0200

guitarix (0.27.1-3) unstable; urgency=low

  * Reorder Build-Depends: since buildd only consider the first one in
    alternatives (Closes: #707723)

 -- Roland Stigge <stigge@antcom.de>  Fri, 10 May 2013 21:27:17 +0200

guitarix (0.27.1-2) unstable; urgency=low

  * Fix build with gcc-4.8 via new libboost >= 1.53 (Closes: #701293)

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 14:10:55 +0200

guitarix (0.27.1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 05 May 2013 14:00:10 +0200

guitarix (0.25.2-2) experimental; urgency=low

  * debian/control:
    - Fixed package description, thanks to Omar Campagne (Closes: #688570)
    - Standards-Version: 3.9.4
    - Build-Depends: debhelper (>= 9), version to be consistent with
      debian/compat

 -- Roland Stigge <stigge@antcom.de>  Fri, 15 Mar 2013 18:36:42 +0100

guitarix (0.25.2-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 09 Feb 2013 10:10:32 +0100

guitarix (0.25.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 06 Jan 2013 14:36:36 +0100

guitarix (0.24.3-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 15 Nov 2012 10:18:29 +0100

guitarix (0.24.2-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 20 Oct 2012 10:34:27 +0200

guitarix (0.24.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 14 Oct 2012 20:40:31 +0200

guitarix (0.24.0-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Aug 2012 10:55:42 +0200

guitarix (0.23.3-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 02 Aug 2012 17:57:39 +0200
