=== debian/watch ===
version=3
http://sf.net/guitarix/guitarix.?-(.*)\.tar\.bz2
